#include <plib.h>
// microchip recommends #include <xc.h>, too, but it is currently unnecessary

void delay(void);

int main(void) {
  // Port A dig I/O pins 4 and 5 are connected to LEDs 1 and 1.  Make them outputs.
  TRISA = 0xFFCF;  // Pins 4 and 5 are cleared to 0, for output; other pins of Port A are inputs.

  // Turn LED1 on and LED2 off.  These pins sink current on NU32, so "high" = "off."
  LATAbits.LATA4 = 0; LATAbits.LATA5 = 1;

  while(1) {
    delay();
    LATAINV = 0x0030;  // toggle the two lights
  }
  return 0;
}

void delay(void) {
  int j;
  for (j=0;j<1000000;j++) {
    while(!PORTCbits.RC13);   // Pin C13 is the USER switch, low if pressed.
  }
}
